#
# spec file for package pxe-formula
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#

Name:           pxe-formula
Version:        0.1.1615805990.f15c8d9
Release:        230900.1.2.uyuni3
Summary:        Formula for atftpd server on POS branchserver
License:        GPL-2.0
Group:          System/Packages
Source:         pxe-formula-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%define fname pxe

%description
Formula for install, setup and uninstall of syslinux pxe boot on POS branchserver

%prep
%setup -q

%build

%install
mkdir -p %{buildroot}/usr/share/susemanager/formulas/states/%{fname}/files
mkdir -p %{buildroot}/usr/share/susemanager/formulas/metadata/%{fname}
cp -R %{fname}/* %{buildroot}/usr/share/susemanager/formulas/states/%{fname}
cp form.yml %{buildroot}/usr/share/susemanager/formulas/metadata/%{fname}
cp metadata.yml %{buildroot}/usr/share/susemanager/formulas/metadata/%{fname}


%files
%defattr(-,root,root,-)
/usr/share/susemanager

%changelog
* Wed Feb 10 2021 Vladimir Nadvornik <nadvornik@suse.com>
- Add arm64 support
- Update to version 0.1.1615805990.f15c8d9
* Fri Jan 29 2021 Vladimir Nadvornik <nadvornik@suse.com>
- Use linuxefi only on x86
- Update to version 0.1.1614170819.014d6e5
* Thu Oct  8 2020 Vladimir Nadvornik <nadvornik@suse.com>
- Change default to "initrd" without .gz suffix
- Update to version 0.1.1602490840.4f32148
* Tue Apr 14 2020 Vladimir Nadvornik <nadvornik@suse.com>
- Add non-EFI grub menu variant
- Update to version 0.1.1586937953.e458f5c
* Thu Mar 12 2020 Vladimir Nadvornik <nadvornik@suse.com>
- Use /usr/lib64/efi/shim.efi path (workaround for bsc#1166523)
- Update to version 0.1.1584100911.88fad0f
* Mon Mar  2 2020 Vladimir Nadvornik <nadvornik@suse.com>
- Use grub2 variable "prefix" instead of hardcoded /boot
- Update to version 0.1.1583829431.db6edda
* Mon Feb 24 2020 Vladimir Nadvornik <nadvornik@suse.com>
- Prepare configuration for UEFI with Secure Boot
* Fri Feb  7 2020 Ondrej Holecek <oholecek@suse.com>
- Add support fot new terminal naming for UEFI network boot
* Wed Jan 29 2020 Ondrej Holecek <oholecek@suse.com>
- Add support for new features in terminal naming
- Remove branch_id from pxe form, moved to branch-network form
- Update to version 0.1.1580384994.6076a7e
* Wed Oct 16 2019 Vladimir Nadvornik <nadvornik@suse.com>
- Use absolute paths in grub2 config
- Update to version 0.1.1573748470.f591bdf
* Thu Oct  3 2019 Ondrej Holecek <oholecek@suse.com>
- Fix missing EFI path on non-SLE systems
- Update to version 0.1.1573049925.b509ada
* Wed Sep  4 2019 Vladimir Nadvornik <nadvornik@suse.com>
- Update to version 0.1.1568808472.be9f236
- Drop IPAPPEND pxe option
* Thu May 23 2019 Ondrej Holecek <oholecek@suse.com>
- Updated copyrights and bug reporting link
- Update to version 0.1.1558613789.64ba093
* Thu May  2 2019 Ondrej Holecek <oholecek@suse.com>
- Update to version 0.1.1556553492.2bfae0b
* Thu Apr 25 2019 nadvornik@suse.com
- Adjust grub2 efi path for SLE15
* Wed Apr 10 2019 nadvornik@suse.com
- Version update to 0.1.1555335519.abf24f8
- Allow uppercase MAC in grains
* Fri Mar 29 2019 nadvornik@suse.com
- UEFI PXE support
* Wed Mar 27 2019 nadvornik@suse.com
- Use "root" option on kernel commandline
* Tue Aug  7 2018 nadvornik@suse.com
- branch id is no longer optional
* Thu Jun 21 2018 oholecek@suse.com
- Rephrase form labels
- Make Branch ID optional and change default to placeholder
* Thu Apr 26 2018 nadvornik@suse.com
- Adjusted metadata to use SUSE Manager Retail group
* Wed Mar 21 2018 nadvornik@suse.com
- Do not check existence of default kernel and initrd,
  they can be synced later
* Sun Mar 18 2018 oholecek@suse.com
- Add 'after' tag to metada to ensure correct order
  - see also bsc#1083326
- Change iteritems to iter to be compatible with python3
- Use boot image from pillar in pxe formula
- Use new naming scheme
- PXE deployment compatible with tftp service
  - pxelinux.0 file is now copied instead of symlinked
    so tftp can access it
- Allow tftp access under directory in saltboot group
  - cleaner code for default value in pxe
- Configurable service directory for pxe and imagesync
- Allow separate SALT config partition
  - bsc#1039568 comment 3 option 1
- Namespace separation in form pillar data
  - conflicting ID fix for more NICs
* Fri Jun 23 2017 psladek@suse.com
- new package
